var exact = (function(){
	var sqrt = Math.sqrt;
	var exp = Math.exp;
	var sin = Math.sin;
	var R = rc.R;
	var L = rc.L;
	var C = rc.C;
	var V = rc.V;

	var t = 0;
	return function(h){
		t += h;
		return {time: t, value: V*(1-exp(-t/(R*C)))};
	};
})();

var state = exact(0);
print(state.time + " " + state.value);
while(state.time < rc.simtime) {
	state = exact(rc.h/10);
	print(state.time + " " + state.value);
}
