var exact = (function(){
	var sqrt = Math.sqrt;
	var exp = Math.exp;
	var sin = Math.sin;
	var cos = Math.cos;
	var R = rlc.R;
	var L = rlc.L;
	var C = rlc.C;
	var V = rlc.V;
	var a = ((2*V)/(R*sqrt((4*C/L)-(C/R))));
	var b = -(1/(2*C*R));
	var c = sqrt(4/(C*L) - 1/(R*C))/2;
	var d = (1/L)*a/((b*b)+(c*c));
	//il = d*exp(b*t)(b*sin(c*t)-c*cos(c*t));
	//print("" + a+"*exp("+b+"*x)*sin("+c+"*x),\\");
	var t = 0;
	return function(h){
		t += h;
		return {time: t, value: 
			[a*exp(b*t)*sin(c*t)
			,d*exp(b*t)*(b*sin(c*t)-c*cos(c*t))+(c*d)
			]
		};
	};
})();

var state = exact(0);
print(state.time + " " + state.value);
while(state.time < rlc.simtime) {
	state = exact(rlc.h/10);
	print(state.time + " " + state.value[0] + " " + state.value[1]);
}
