

define(["gui/menubar", "dijit/DropDownMenu", "dijit/MenuItem", "dijit/PopupMenuBarItem", "editor/filemenu", "api"],
function(menuBar, DropDownMenu, MenuItem, PopupMenuBarItem, fileMenu, API) {

	var schematicEditorMenu = this;
	var newSchematicDocument = function() {
		if(schematicEditorMenu.SchematicEditor) {
			API.openTab("schematic", {title: "schematic editor"});
		}
	}
	var menuItem = new MenuItem({
		label: "new schematic file",
		onClick: newSchematicDocument
	});
	fileMenu.addChild(menuItem);

	return this;
});

