
define(["gui/menubar", "dijit/DropDownMenu", "dijit/MenuItem", "dijit/PopupMenuBarItem", "editor/filemenu", "api"],
function(menuBar, DropDownMenu, MenuItem, PopupMenuBarItem, fileMenu, API) {

	var textEditorMenu = this;
	this.TextEditor = undefined;
	var newTextDocument = function() {
		if(textEditorMenu.TextEditor) {
			API.openTab(textEditorMenu.TextEditor, {title: "text editor!"});
			console.log("opening tab!");
		}
		else {
			console.log("not opening tab");
		}
	}
	fileMenu.addChild(new MenuItem({
		label: "new text file",
		onClick: newTextDocument
	}));

	return this;
});

