

define([],function() {
	return function(parameters) {
		var InterfaceJunction = this;
		if(parameters) {
			this.pos = parameters.pos || {x: 0, y: 0};
		}
		else {
			this.pos = {x: 0, y: 0};
		}

		this.type = "interfaceJunction";

		this.fillColor = {value: "#FFFF80"};
		this.select = function() {
			Resistor.fillColor.value = "#FF8080";
		}
		this.deselect = function() { 
			Resistor.fillColor.value = "#FFFF80";
		}
		var view = this.view;

		this.pins = [
			view.createPin({angle:Math.PI, pos:{x:0,y:-25}, length:25, parent: Resistor}),
			view.createPin({angle:0, pos:{x:0,y:25}, length:25, parent: Resistor})
		];

		this.shape = [
			this.pins[0],
			this.pins[1],
			new function() {
				this.fillStyle = Resistor.fillColor;
				this.strokeStyle = "#000000";
				this.closed = true;
				this.path = [
					{
						type: "line",
						points: [
							{x: -8, y: -25},
							{x: -8, y: 25},
							{x: 8, y: 25},
							{x: 8, y: -25}
						]
					}
				]
			}
		];
	}
});
