

define(["dojo/text!resources/interfaces/i2cconfig.html"], function(I2CConfig) {
	return function() {
		var I2CInterface = this;
		this.SCK = new Net();
		this.SDA = new Net();

		this.netList.push(SPIInterface.SCK);
		this.netList.push(SPIInterface.SDA);

		var view = this.view;

		this.configDialog = document.createElement("div");
		this.configDialog.innerHTML = I2CConfig;
		var I2CMasterSelector = this.configDialog.querySelector("#I2CMasterSelector");

		this.updateInterface = function() {
			
		}

		this.setMaster = function(masterModuleEndpoint) {
			if(I2CInterface.endpoints.indexOf(masterModuleEndpoint) != -1) {
				if(masterModuleEndpoint.implementation) {
					I2CInterface.masterEndpoint = masterModuleEndpoint;
				}
			}
		}
		var updateConfigDialog = function() {
			while(I2CMasterSelector.childElementCount) {
				I2CMasterSelector.removeChild(I2CMasterSelector.firstChild);
			}
			I2CInterface.endpoints.forEach(function(endpoint) {
				var newOption = document.createElement("option");
				newOption.value = endpoint;
				newOption.innerText = endpoint.parent.name.value;
				I2CMasterSelector.appendChild(newOption);
			});

		}
		this.edit = function() {
			updateConfigDialog();
			view.showDialog(I2CInterface.configDialog);
		}
	}
});

