
/*
 * 
 */

define([/*dependency resource paths, separated by comma*/],
function(/*Depedency resource object names, separated by comma*/) {
	return function(parameters) {
		if(parameters) {
			this.pos = parameters.pos || {x: 0, y: 0};
			this.angle = parameters.angle || 0;
		}
		else {
			this.pos = {x: 0, y: 0};
			this.angle = 0;
		}

		this.type = "";							// Type 

		this.boundingPath = [
			{
				type: "line",
				points: [
					{x: -8, y: -60},
					{x: -8, y: 60},
					{x: 8, y: 60},
					{x: 8, y: -60}
				]
			}
		];

		this.selectable = true;
		this.movable = true;

		var fillColor = {value: "#FFFF80"};

		this.onMouseOver = function() {
			fillColor.value = "#FF8080";
		}
		this.onMouseOut = function() {
			fillColor.value = "#FFFF80";
		}
		this.pins = [
			new Pin({angle:Math.PI, pos:{x:0,y:-25}, length:25, parent: this}),
			new Pin({angle:0, pos:{x:0,y:25}, length:25, parent: this})
		];

		this.shape = [
			this.pins[0],
			this.pins[1],
			new function() {
				if(parameters) {
					this.pos = {x: 0, y: 0};
					this.angle = 0;
				}
				this.fillStyle = fillColor;
				this.strokeStyle = "#000000";
				this.closed = true;
				this.path = [
					{
						type: "line",
						points: [
							{x: -8, y: -25},
							{x: -8, y: 25},
							{x: 8, y: 25},
							{x: 8, y: -25}
						]
					}
				]
			}
		];
	}
});
