
define(["widget/widgetbase", "dojo/dom-construct"],
function(WidgetBase, domConstruct) {
	return function(parentNode, args) {
		this.surface = domConstruct.create("canvas", {});
		this.resizeEvents = [
			function(ev) {
				this.surface.width = ev.w;
				this.surface.height = ev.h;
			}.bind(this)
		];
		this.widgetContainer = new WidgetBase({
			closable: true,
			title: args.title || "new newcadview",
			content: this.surface,
			resizeEvents: this.resizeEvents
		});
		this.domNode = this.widgetContainer.domNode;
		parentNode.addChild(this.widgetContainer);

	}
});
