

define(["widget/plotviewmixin"], function(PlotViewMixin) {
	return function(parentNode, args) {
		this.parentNode = parentNode;
		this.title = args.title || "new NSchematic";
		if(!this.plotViewMixin) PlotViewMixin.call(this);

		var myPlot = this.createPlot({name: "test", lineColor: "red", lineWidth: 2});
		var mySecondPlot = this.createPlot({name: "test", lineColor: "blue", lineWidth: 2});
		var myThirdPlot = this.createPlot({name: "test", lineColor: "green", lineWidth: 2});

		for(var i = 0; i < myPlot.plotSurface.width; i++) {
			myPlot.addPoint({x: i+0.5, y: (Math.random()-0.5)*300 + myPlot.plotSurface.height/2});
			mySecondPlot.addPoint({x: i+0.5, y: (Math.random()-0.5)*400 + myPlot.plotSurface.height/2});
			myThirdPlot.addPoint({x: i+0.5, y: (Math.random()-0.5)*250 + myPlot.plotSurface.height/2});
		}
		var redraw = function() {
			myPlot.redraw();
			mySecondPlot.redraw();
			myThirdPlot.redraw();
		}
		
		myPlot.plotSurface.addEventListener("mousemove", redraw, false);
		mySecondPlot.plotSurface.addEventListener("mousemove", redraw, false);
		myThirdPlot.plotSurface.addEventListener("mousemove", redraw, false);
	}
});

