var solver = (function () {
	var R1 = rlc.R;
	var L1 = rlc.L;
	var C1 = rlc.C;
	var V1 = rlc.V;

	var y_old = $V([0, 0]);

	A = $M([
		[-1/(C1*R1), -1/C1],
		[ 1/L1     ,  0   ]
	]);
	b = $M([[V1/(C1*R1)],[0]]);
	
	return method(rlc.h, A, b, y_old);
})();

var state = { time:0, value: $V([0, 0])};
print(state.time + " " + state.value.elements[0]);
while(state.time < rlc.simtime) {
	state = solver();
	print(state.time + " " + state.value.elements[0] + " " + state.value.elements[1]);
}
