var dbif = function() {
	var debug = true;
	var navigation = function() {
		var nav = document.createElement("ul");
		var add = document.createElement("li");
		var usr = document.createElement("li");
		var lst = document.createElement("li");

	};

	var login = function() {
		var node = document.createElement("div");
		var title = document.createElement("h2");
		var msg = document.createElement("p");
		var username = document.createElement("input");
		var password = document.createElement("input");
		var button = document.createElement("button");
		var table = document.createElement("table");
		var registerlink = document.createElement("a");
		title.innerText = "User";
		msg.innerText = "";
		msg.setAttribute("class","error");
		username.type = "text";
		password.type = "password";
		button.innerText = "Login";
		registerlink.innerText = "register";
		registerlink.href = "#register";
		var row = table.insertRow(-1);
		row.insertCell(-1).innerText = "Username";
		row.insertCell(-1).appendChild(username);
		row = table.insertRow(-1);
		row.insertCell(-1).innerText = "Password";
		row.insertCell(-1).appendChild(password);
		row = table.insertRow(-1);
		row.insertCell(-1);
		var cell = row.insertCell(-1)
		cell.appendChild(button);
		cell.appendChild(registerlink);
		node.appendChild(title);
		node.appendChild(table);
		node.appendChild(msg);
		node.setAttribute("class","user");

		registerlink.onclick = function() {
			node.parentNode.replaceChild(register,node);
		};

		button.onclick = function() {
			storage.login(username.value, password.value, function(res) {
				if (debug) console.log(res);
				if (res["usid"] !== undefined) {
					node.parentNode.replaceChild(logout(),node);
					msg.innerText = "";
					password.value = "";
				} else if (res["error"] !== undefined) {
					msg.innerText = res.error;
				} else {
					msg.innerText = "Should not happen";
				}
			});
		};
		return node;
	}();

	var logout = function() {
		var node = document.createElement("div");
		var title = document.createElement("h2");
		var text = document.createElement("p");
		var button = document.createElement("button");
		title.innerText = "User";
		button.innerText = "Logout";
		node.appendChild(title);
		node.appendChild(text);
		node.appendChild(button);
		node.setAttribute("class","user");

		button.onclick = function() {
			storage.logout(function() {
				node.parentNode.replaceChild(login,node);
				localStorage.removeItem("username");
				localStorage.removeItem("usid");
			});
		}
		return function(){
			text.innerText = "Logged in as: " + storage.get_username();
			return node
		};
	}();

	var register = function() {
		var node = document.createElement("div");
		var title = document.createElement("h2");
		var msg = document.createElement("p");
		var username = document.createElement("input");
		var email = document.createElement("input");
		var password = document.createElement("input");
		var button = document.createElement("button");
		var table = document.createElement("table");
		var loginlink = document.createElement("a");
		title.innerText = "User";
		msg.innerText = "";
		msg.setAttribute("class","error");
		username.type = "text";
		email.type = "text";
		password.type = "password";
		button.innerText = "Register";
		loginlink.innerText = "login";
		loginlink.href = "#login";
		var row = table.insertRow(0);
		row.insertCell(0).innerText = "Username";
		row.insertCell(1).appendChild(username);
		var row = table.insertRow(1);
		row.insertCell(0).innerText = "Email";
		row.insertCell(1).appendChild(email);
		row = table.insertRow(2);
		row.insertCell(0).innerText = "Password";
		row.insertCell(1).appendChild(password);
		row = table.insertRow(3);
		row.insertCell(0);
		var cell = row.insertCell(1)
		cell.appendChild(button);
		cell.appendChild(loginlink);
		node.appendChild(title);
		node.appendChild(table);
		node.appendChild(msg);
		node.setAttribute("class","user");

		loginlink.onclick = function() {
			node.parentNode.replaceChild(login,node);
		};

		button.onclick = function() {
			storage.register(username.value, password.value, email.value, function(res) {
				if (debug) console.log(res);
				if (res["usid"] !== undefined) {
					node.parentNode.replaceChild(logout(),node);
					msg.innerText = "";
					username.value = "";
					email.value = "";
					password.value = "";
				} else if (res["error"] !== undefined) {
					msg.innerText = res.error;
				} else {
					msg.innerText = "Should not happen";
				}
			});
		}
		return node;
	}();

	var adder = function() {
		var debug = true;
		var node = document.createElement("div");
		var title = document.createElement("h2");
		var table = document.createElement("table");
		var objectname = document.createElement("input");
		var published = document.createElement("input");
		var objectdata = document.createElement("textarea");
		var button = document.createElement("button");
		objectname.setAttribute("type","text");
		published.setAttribute("type","checkbox");
		published.setAttribute("caption","Published");
		button.innerText = "Save";
		node.appendChild(title);
		node.appendChild(document.createTextNode("Objectname:"));
		node.appendChild(objectname);
		node.appendChild(document.createElement("br"));
		node.appendChild(objectdata);
		node.appendChild(document.createElement("br"));
		node.appendChild(button);
		node.setAttribute("class","tester");
		objectsend.onclick=function(){
			storage.store(objectname.value,"",objectdata.value);
		};
		return node;
	};

	var loader = function() {
		var debug = true;
		var display = {};
		var getDisplay = function(obj) {
			if (display[obj] === undefined) {
				display[obj] = newDisplay(obj);
			}
			return display[obj];
		}

		var newDisplay = function(obj) {
			if (debug) console.log("loader: creating new diplay for \"" + obj + "\"");
			var loader = document.createElement("span");
			var title = document.createElement("h2");
			var titletext = document.createTextNode(obj);
			var content = document.createElement("code");
			title.appendChild(titletext);
			loader.appendChild(title);
			loader.appendChild(content);
			loader.setAttribute("class","tester");
			document.body.appendChild(loader);
			return function(data) {
				content.innerText = data;
			}
		}

		return function(obj) {
			if (debug) console.log("loader: diplaying \"" + obj + "\"");
			storage.load(obj,"",getDisplay(obj));
		};
	}();

	var lister = function() {
		var debug = true;
		var table = document.createElement("table");

		var node = function(){
			var node = document.createElement("div");
			var title = document.createElement("h2");
			var button = document.createElement("button");
			title.innerText = "Objectlist";
			button.innerText = "Refresh";
			button.onclick = function(){update()};
			node.appendChild(title);
			node.appendChild(button);
			node.appendChild(table);
			node.setAttribute("class","user");
			return node;
		}();

		var render = function(data) {
			if (debug) console.log("rendering list:" + data);
			var newtable = table.cloneNode(false);

			if (data === "" || data === undefined || data.length === 0) {
				newtable.insertRow().insertCell().appendChild(document.createTextNode("No objects found"));
			} else { data.map(function(objectname){
				var editlink = document.createElement("a");
				editlink.setAttribute("href","#edit");
				editlink.innerText = "edit";
				editlink.onclick = function() {
					editor(objectname);
				};
				var viewlink = document.createElement("a");
				viewlink.setAttribute("href","#view");
				viewlink.innerText = "view";
				viewlink.onclick = function() {
					viewer(objectname);
				};
				var currentrow = newtable.insertRow(-1);
				var cell1 = currentrow.insertCell(-1);
				var cell2 = currentrow.insertCell(-1);
				var cell3 = currentrow.insertCell(-1);
				cell1.innerText = objectname;
				cell2.appendChild(editlink);
				cell2.appendChild(viewlink);
			});}
			table.parentNode.replaceChild(newtable,table);
			table = newtable;
		}
		
		var update = function() {
			storage.list(function(res) {
				if (debug) console.log("got list");
				if (res === undefined) {
					render(undefined);
				} else {
					render(res.data);
				}
			});
		};
		update();
		return node;
	}

	document.onreadystatechange = function() {
		if (document.readyState === "complete") {
			if (storage.get_username() == null) {
				document.body.appendChild(login);
			} else {
				document.body.appendChild(logout());
			}
			document.body.appendChild(lister());
			//document.body.appendChild(adder);
		}
	}
}();
