

define(["widget/newnewcadview", "editor/netcontrol", "resources/resistor", "resources/opamp"],
function(CadView, NetControl, Resistor, OpAmp) {
	return function(parentNode, args) {
		var cadView = new CadView(parentNode, args);
		var newResistor = new Resistor({pos:{x:250, y:75}, angle:Math.PI/2});
		cadView.objects.push(newResistor);
		var res2 = new Resistor({pos:{x:300, y:275}});
		cadView.objects.push(res2);
		var res3 = new Resistor({pos:{x:400, y:200}, angle: Math.PI/2});
		cadView.objects.push(res3);
		var myOpamp = new OpAmp({pos:{x: 400, y: 100}});
		cadView.objects.push(myOpamp);
		var myNetControl = new NetControl();
	}
});
