

define(["gui/menubar", "dijit/DropDownMenu", "dijit/MenuItem", "dijit/PopupMenuBarItem"],
function(menuBar, DropDownMenu, MenuItem, PopupMenuBarItem) {
	var schematicDropDownMenu = new DropDownMenu({});
	schematicDropDownMenu.addChild(new MenuItem({
		label: "Resistor",
		onClick: function() {
			console.log("Placing resistor");
		}
	}));
	schematicDropDownMenu.addChild(new MenuItem({
		label: "Capacitor",
		onClick: function() {
			console.log("Placing capacitor");
		}
	}));
	schematicDropDownMenu.addChild(new MenuItem({
		label: "Inductor",
		onClick: function() {
			console.log("Placing inductor");
		}
	}));
	menuBar.addChild(new PopupMenuBarItem({
		label: "Place",
		popup: schematicDropDownMenu
	}));
});
