

define(["dojo/text!resources/interfaces/spiconfig.html"], function(SPIConfig) {
	return function() {
		var SPIInterface = this;
		this.masterEndpoint = undefined;
		this.MISO = new Net();
		this.MOSI = new Net();
		this.SCLK = new Net();

		this.netList.push(SPIInterface.MISO);
		this.netList.push(SPIInterface.MOSI);
		this.netList.push(SPIInterface.SCLK);

		var view = this.view;

		this.configDialog = document.createElement("div");
		this.configDialog.innerHTML = SPIConfig;
		var SPIMasterSelector = this.configDialog.querySelector("#SPIMasterSelector");

		this.updateInterface = function() {
			
		}

		this.setMaster = function(masterModuleEndpoint) {
			if(SPIInterface.endpoints.indexOf(masterModuleEndpoint) != -1) {
				if(masterModuleEndpoint.implementation) {
					SPIInterface.masterEndpoint = masterModuleEndpoint;
				}
			}
		}
		var updateConfigDialog = function() {
			while(SPIMasterSelector.childElementCount) {
				SPIMasterSelector.removeChild(SPIMasterSelector.firstChild);
			}
			SPIInterface.endpoints.forEach(function(endpoint) {
				var newOption = document.createElement("option");
				newOption.value = endpoint;
				newOption.innerText = endpoint.parent.name.value;
				SPIMasterSelector.appendChild(newOption);
			});

		}
		this.edit = function() {
			updateConfigDialog();
			/*
			SPIInterface.endpoints.forEach(function(endpoint) {
				console.log("endpoint: " + endpoint.type);
			});
			*/
			view.showDialog(SPIInterface.configDialog);
		}
	}
});

