

define([], function() {
	return function(parameters) {
		this.pos = {x: 0, y: 0};
		this.type = "text";
		this.angle = 0;
		this.text = "text?";
		this.font = "12pt Monospace";
		this.align = "left";
		this.baseline = "middle";
		this.alwaysUpright = false;
		if(parameters) {
			if(parameters.text) {
				this.text = parameters.text;
			}
			if(parameters.pos) { 
				this.pos = parameters.pos;
			}
			if(parameters.angle) {
				this.angle = parameters.angle;
			}
			if(parameters.font) {
				this.font = parameters.font;
			}
			if(parameters.align) {
				this.align = parameters.align;
			}
			if(parameters.baseline) {
				this.baseline = parameters.baseline;
			}
			if(parameters.fixedAngle) {
				this.fixedAngle = true;
			}
			if(parameters.alwaysUpright) {
				this.alwaysUpright = true;
			}
		}
	}
});

