define(["lib/sylvester"],function() { return function (h, A, b, y0) {

	var eulerA = Matrix.I(A.rows()).subtract(A.x(h)).inverse();
	var eulerB = eulerA.x(h).x(b);
	
	var time = 0;
	var y_old = y0;

	return function() {
		time += h;
		var Y_nm1 = $M(y_old.elements);
		var y_n = eulerA.x(Y_nm1).add(eulerB);
		y_old = y_n;
		return {"time": time, "value": y_n};
	}
}});
