define(["lib/sylvester","simulator/lobatto","simulator/radau","simulator/bweuler","simulator/erk4"],function (sylvester,lobatto,radau,bweuler,erk) {
	var R1 = 100;
	var L1 = 0.010;
	var C1 = 0.001;
	var V1 = 5;

	//var F_y = $M([
	//	[ -1/(SC*SR), -1/SC ],
	//	[ 1/SL,       0 ]
	//]);
	//var F_z = $M([
	//	[1/(SC*SR)],
	//	[0]
	//]);
	//var f_k = $M([[0],[0]]);
	//var G_y = $M([
	//	[0, 0]
	//]);
	//var G_z = $M([
	//	[1]
	//]);
	//var g_k = $M([[SV]]);

	var y_old = $V([0, 0]);

	//var A = F_y.subtract(F_z.x(G_z.inverse()).x(G_y));
	//var b = f_k.subtract(F_z.x(G_z.inverse()).x(g_k));
	//var A = F_y.subtract(F_z.x(G_z).x(G_y));
	//var b = f_k.subtract(F_z.x(G_z).x(g_k));
	A = $M([
		[-1/(C1*R1), -1/C1],
		[ 1/L1     ,  0   ]
	]);
	b = $M([[V1/(C1*R1)],[0]]);
	

	return lobatto(0.0001, A, b, y_old);
	//return new irk(0.0001, A, b, y_old);
	//return new radau(0.0001, A, b, y_old);
	//return new erk(0.001, A, b, y_old);
});
