
define(["widget/surfacecomponent"], function(SurfaceComponent) {
	return function(parameters) {
		if(!this.surfaceComponent) SurfaceComponent.call(this, parameters);
		var cadComponent = this;
		
		this.boundingPath = [];
		this.cadComponent = true;

		this.selected = false;
		this.select = function() {

		}
		this.deselect = function() {

		}


		this.onMove = [];

		this.move = function(diff) {
			cadComponent.pos.x += diff.x;
			cadComponent.pos.y += diff.y;
			cadComponent.onMove.forEach(function(func) {
				func(diff);
			});
		}
	}
});
