

define(["widget/widgetbase"], function(WidgetBase) {
	return function() {
		this.textEditorMixin = true;
		this.suppressKeypress = true;
		if(!this.widgetBaseMixin) WidgetBase.call(this);


		var textEditorElement = document.createElement("textarea"); 
		this.content.appendChild(textEditorElement);
		var cmEditor = CodeMirror.fromTextArea(textEditorElement, {
			lineNumbers: true,
			matchBrackets: true
		});


		this.onShow.push(function() {
			cmEditor.refresh();
		});
	}
});

